We Thank You

Vertigraph provides takeoff and estimating tools that increase your productivity and profits. Our guiding principles are:

  • Quality, integrity and value are our highest concerns.
  • Customers are the reason we exist.
  • We thank you for your consideration.


What's New in Version 6

Excel Ribbon UI

Project/Drawing Manager

  • Override default settings for the current project
  • Manage drawings used in the project
  • Drawing description - used in drawing list
  • Drawing level annotations
  • Hide/Show drawings in drawing list
  • Replaces Select Drawing/Thumbnail functionality

Takeoff Ribbon replaces takeoff toolbars.

Dual (X and Y) Scales

Enhanced Drawing Capabilities

  • Additional Fill Patterns
  • Line Style/Width Independence
  • User Defined Point Styles

Annotation Changes

Excel 2010 changes

Default Cell Comment Replaced


Adding BidScreen XL to Excel

Prior to use, BidScreen XL must be "added" to Excel.

64 bit Excel 2010 must use the BidScreen XL Ribbon UI

  • Right click on the Office button in the top left corner of the menu bar and select Customize Quick Access Toolbar.
  • Select the Add-Ins option.
  • At the Add-ins windows, click the Go… button at the bottom of the page.
  • This will display a list of Add-Ins. Click the Browse... button to locate BidScreenXL_7.xlam.
  • The BidScreenXL_7.xlam file will be found in the C:\Program Files\Vertigraph\BidScreen XL folder if the files were installed to the default directory.
  • Highlight the file and press OK.
  • Press OK on the Add-Ins list to complete the process.
  • A registration dialog should appear. Press No.
  • A BidScreen Tab should appear in the row of tabs at the top of the Excel window. If the BidScreen tab does not appear, please close and restart Excel.

Excel 2007 and 2010 using the BidScreen XL Ribbon UI

  • Right click on the Office button in the top left corner of the menu bar and select Customize Quick Access Toolbar.
  • Select the Add-Ins option.
  • At the Add-ins windows, click the Go… button at the bottom of the page.
  • This will display a list of Add-Ins. Click the Browse... button to locate BidScreenXL_7.xlam.
  • The BidScreenXL_7.xlam file will be found in the C:\Program Files\Vertigraph\BidScreen XL folder if the files were installed to the default directory.
  • Highlight the file and press OK.
  • Press OK on the Add-Ins list to complete the process.
  • A registration dialog should appear. Press No.
  • A BidScreen Tab should appear in the row of tabs at the top of the Excel window. If the BidScreen tab does not appear, please close and restart Excel.

Excel 2007 and 2010 using the BidScreen XL Toolbar

  • Right click on the Office button in the top left corner of the menu bar and select Customize Quick Access Toolbar.
  • Select the Add-Ins option.
  • At the Add-ins windows, click the Go… button at the bottom of the page.
  • This will display a list of Add-Ins. Click the Browse... button to locate BidScreenXL.xla.
  • The BidScreenXL.xla file will be found in the C:\Program Files\Vertigraph\BidScreen XL folder if the files were installed to the default directory.
  • Highlight the file and press OK.
  • Press OK on the Add-Ins list to complete the process.
  • A registration dialog should appear. Press No.
  • After adding BidScreen XL to your Excel application a BidScreen menu is added to the Excel menu bar and a BidScreen toolbar is added to Excel. If the BidScreen toolbar and menu are not active, please close and restart Excel.

Earlier versions of Excel using the BidScreen XL Toolbar

  • Open Excel and click on the Tools|Add-Ins menu.
  • Press the Browse button to select the BidScreenXL.xla add-in file.
  • The BidScreenXL.xla file will be found in the C:\Program Files\Vertigraph\BidScreen XL folder if the files were installed to the default directory.
  • Highlight the file and press OK.
  • Press OK on the Add-Ins list to complete the process.
  • A registration dialog should appear. Press No.
  • After adding BidScreen XL to your Excel application a BidScreen menu is added to the Excel menu bar and a BidScreen toolbar is added to Excel. If the BidScreen toolbar and menu are not active, please close and restart Excel.

All versions Check for updates

  • Go to the Addins or BidScreen tab.
  • Open the BidScreen menu at the left.
  • Click Update Check.


BidScreen XL Tutorial

A tutorial covering the basic operation of BidScreen Xl is located in the pdf folder in the installation directory.


Other Vertigraph Solutions

Besides BidScreen XL, Vertigraph also supplies other takeoff and estimating tools. These include:

  • BidPoint XL software enables you to digitize quantities from paper plans into any MS Excel workbook using a digitizer tablet.
  • SiteWorx and SiteWorx/OS software provides you with cut and fill soil quantities for site excavation.
  • Scanners, plotters and digitizing tablets from all of the leading manufacturers at guaranteed best pricing.
  • Needs assessment and management consulting.

If you have interest in any other Vertigraph solutions, please contact Vertigraph or a representative at any time.


System Requirements

32 bit Version

Minimum:

  • Windows 2000(SP4 or later) or XP(SP3 or later) operating system
  • 2GB of memory (3 GB with Vista or Windows 7)
  • Microsoft Excel 2003(SP3 or later)
  • 1024 X 768 Display resolution
  • 50MB availabe disk space

Vertigraph recommends:

  • Adobe Acrobat Standard 9.0 or later
  • Windows Vista(SP2 or later) or Windows 7(SP1 or later) operating system
  • 4GB of memory
  • Microsoft Excel 2007(SP2 or later) or 2010
  • 1920 X 1080 Display resolution
  • Color Printer

64 bit Version

Minimum:

  • 64 bit Windows operating system
  • 4GB of memory
  • 64 bit version of Microsoft Excel 2010
  • 1024 X 768 Display resolution
  • 50MB availabe disk space

Vertigraph recommends:

  • Adobe Acrobat Standard 9.0 or later
  • 1920 X 1080 Display resolution
  • Color Printer


BidScreen License Agreement

Vertigraph, Inc. Program License 12959 Jupiter Road, Suite 252 Dallas, TX 75238

Carefully read the following terms and conditions before using the BidScreen XL or BidScreen Lite program. Use of the program indicates your acknowledgment that you have read this license, understand it, and agree to be bound by its terms and conditions.

Vertigraph, Inc. ("Licenser") grants to the purchaser of the BidScreen XL Software License ("Licensee") a non transferable license to use BidScreen XL ("Licensed Software"). Use of the Licensed Software is limited to a single terminal connected to a single computer unless multiple licenses were acquired. Your right to use the Licensed Software terminates upon the violation of any provision of this License. The Licensed Software is the BidScreen XL and/or BidScreen Lite computer program which includes, without limitation, any form of the programs, copies, modifications, enhancements, revisions and updates thereof, source code, sample workbook(s), utility programs, visual/written materials and any other documentation. Until you obtain a serial and registration number from Licenser, you agree that the BidScreen XL software is used for the purpose of evaluating the software only and not for the production of income. After obtaining a registration number and becoming a licensed user of the BidScreen XL software, the Licensee agrees that Vertigraph's annual training, support and enhancement program entitled Full_Serve will be maintained at the agreed upon annual fee. Licensee may not de-compile the Licensed Software from object code to source code or cross compile or otherwise adopt or modify the Licensed Software. You may modify the sample Excel estimating workbooks included with the Licensed Software however. You agree to take all necessary steps to ensure that the provisions of this License are not violated by you or any person under your control or in your service. You may transfer the Licensed Software to a single hard disk. Licenser shall have sole and exclusive ownership of all rights, title and interest in and to the Licensed Software and all modifications and enhancements thereof (including ownership of all trade secrets and copyrights pertaining thereto). This agreement does not provide Licensee with title or ownership of the Licensed Program, but only a right of use.

Disclaimer and Limitation of Liability: Due to the complex nature of computer software, Vertigraph, Inc. does not warrant that the Licensed Software is completely error free, will operate without interruption, or is compatible with all equipment or software configurations.

Neither Vertigraph, Inc. nor anyone else who has been involved in the creation, production or delivery of the programs or documentation shall be liable to you for any damages of any type, including but not limited to, any lost profits, lost savings, loss of anticipated benefits, or other incidental or consequential damages arising out of contract, negligence, or under any warranty even if Vertigraph, Inc. has been advised of the possibility of such damages or for any other claim by any other party. Licenser's liability for damages in no event shall exceed the licensee fee paid for the right to use the licensed software.

Vertigraph, Inc. provides the licensed software "as is" without warranty of any kind, either express or implied, including but not limited to, the implied warranties of merchantability or fitness for any particular purpose. Some states do not allow disclaimer of express or implied warranties in certain transactions; therefore, this statement may not apply to you. Furthermore, Vertigraph, Inc. reserves the right to revise the Licensed Software and documentation and to make changes from time to time to the content thereof without obligation of Vertigraph, Inc. to notify any person of such revision or changes.

The agents, distributors, employees and dealers of Vertigraph are not authorized to modify this Agreement or to make statements, representations or terms binding Vertigraph, Inc. Accordingly, any statements, representations or terms not made or given directly or expressly by Vertigraph are not binding on Vertigraph, Inc.

It is agreed that the laws of the State of Texas shall govern this Agreement. The parties also agree that they will endeavor to settle any dispute controversy or claim arising out of or relating to this license, which they are unable to settle through direct negotiations, by mediation administered by a mutually agreeable mediator under reasonable mediation rules before resorting to arbitration, litigation, or other dispute resolution procedure.

Copyright - This program and related documentation is the confidential and proprietary product of Vertigraph, Inc. Any unauthorized use, reproduction or transfer of this program, trade secrets and/or documentation is strictly prohibited and subject to criminal prosecution. Copyright 1995-2008 by Vertigraph, Inc. All rights reserved.


Contact Vertigraph

Vertigraph, Inc can be contacted by phone at 800.989.4243 or 214.340.9436 or via email at support@vertigraph.com. You can visit the Vertigraph website to contact us or create a support ticket.


BidScreen XL Commands in Excel

There are three ways to issue commands to BidScreen XL while in Excel.

  • Toolbar or Ribbon - The toolbar is located at the top of the excel window. (In Excel 2007 and 2010 it is located on the Add-Ins Tab.) The ribbon, if installed in Excel 2007 or 2010 is located under the BidScreen Tab. The ribbon/toolbar contains buttons and status indications.
  • Menu - The BidScreen menu is added to the excel menu at the top of the page. (In Excel 2007 and 2010 it is located at the top left of the Add-Ins tab.) (If the ribbon is installed, it is at the left of the ribbon.)The menu only contains commands.
  • Popup Menu - The BidScreen popup menu can be activated by right clicking the mouse on a cell. This menu only contains commands.


Excel Ribbon UI

The BidScreen XLRibbon UI has the following controls, from left to right:

  • Manage Project/Drawings
  • Load Drawing
  • Browse Drawing (WEB)
  • Drawing List
  • Scale
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Print
  • Delete Takeoffs
  • Takeoff Help
  • Takeoff Type (display)
  • Scale (display)
  • Factor (display)


BidScreen Toolbar

The BidScreen XL Toolbar has the following controls, from left to right:

  • Manage Project/Drawings
  • Load Drawing
  • Browse Drawing (WEB)
  • Scale
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Print
  • Takeoff Help
  • Scale (display)
  • Drawing List
  • Takeoff Type (display)


BidScreen XL Menu

The BidScreen XL Menu has the following controls:

  • Project/Drawing Manager
  • Load Drawing
  • Browse Drawing (WEB)
  • Scale
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Print Drawing
  • Change Scale
  • Delete Takeoff
  • Load Reference
  • Browse Reference (WEB)
  • Create Template
  • Setup
  • Update Check
  • Register
  • Takeoff Help
  • About BidScreen XL


BidScreen XL Popup Menu

The BidScreen XL Popup Menu has the following controls:

  • Project/Drawing Manager
  • Load Drawing
  • Browse Drawing (WEB)
  • Scale
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Print Drawing
  • Change Scale
  • Delete Takeoff
  • Load Reference
  • Browse Reference (WEB)
  • Create Template
  • Setup
  • Update Check
  • Register
  • Takeoff Help
  • About BidScreen XL


Project/Drawing Manager

The Project/Drawing Manager is used to set project options and to control the list of drawings for that project. It has two tabs:

  • Project
  • Drawings

The Project/Drawing Manager can also be used for drawing selection .


Takeoff Overview

Measurements are make (taken off) in the takeoff window . Points are selected and lines are drawn with left clicks of the mouse in the Drawing View . The results of the measurement are displayed on the takeoff ribbon .

For counts only the count field contains any information.

For section lengths, the count field displays the number of points entered and the length field displays the cumulative length of all sections measured. If the count field is even, BidScreen XL is ready to measure a new section. If it odd, the first point of the section has been taken off and a rubber band (thin line) will display between that point and the cursor as it is moved.

For continuous lengths, the count field displays the number of points entered and the length field displays the cumulative length of all lines measured. After the first point of the line has been taken off a rubber band (thin line) will display between the last point taken off and the cursor as it is moved. To complete a line an move to the next, select Close Area/End Line from the Edit menu or the Takeoff Popup Menu .

For areas, the count field displays the number of points entered and the length field displays the cumulative length the perimeters of all areas measured. After the first point of the area has been taken off a rubber band (thin line) will display between the last point taken off and the cursor as it is moved. After the second point is taken off, a second rubber band will display from the cursor to the first point taken off. To complete a line an move to the next, select Close Area/End Line from the Edit menu or the Takeoff Popup Menu . This command adds a segment between the last point taken off and the first point taken off, closing the area.

To complete the measurement, press the OK button, [image] or select Stop Takeoff from the Edit menu or the Takeoff Popup Menu .

To discard all changes to the measurement, press the Cancel button, [image] press Exit on the File Menu or press the X in the upper right corner of the window.

Commonly used commands for measuring are:

  • Close Area/End Line
  • Stop Takeoff
  • Positive/Negative
  • Arc
  • Circle
  • Rectangle
  • Annotate
  • Highlight
  • Zoom In
  • Zoom Out
  • Zoom to Selection
  • Restore to Full Size
  • Pan
  • Delete Last Point
  • Delete All Points
  • Select Object

These commands can all be accessed in several ways:

  • Edit Menu or Zoom Menu at top of window
  • Takeoff Popup Menu - right click in Drawing View
  • Buttons on toolbars
  • Shortcut Key Combinations

The style (color, etc) of the takeoff is controlled by commands on the Style Menu , the Style Toolbar or by selection from the Style Palette .


Print

BidScreen can print one or more takeoffs from the same drawing. Takeoffs from different drawings can not be printed at the same time.

The printer should be set to portrait and the paper fed accordingly.

First select the cell or cells containing the takeoffs to print. Then press the Print button, [image] or select Print Drawing from the BidScreen XL menu or popup menu . After selecting the command, the title block dialog will appear.

Fill in the information for the title block and press the OK button. To cancel printing press the cancel button. The captions for the fields in the title block can be modified in setup .

Next, the print preview window will appear.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Print Preview

Use the Print Preview window to prepare a takeoff for printing. The window is displayed at a fixed size that reflects the current printer, paper and orientation settings. The drawing is shown at the largest scale that will show the entire takeoff.

There is a toolbar at the top of the window

containing the following commands:

  • Print
  • Print to File
  • Print Setup
  • Print Options
  • Margins
  • Portrait/Landscape
  • Font
  • Rotate Left
  • Rotate Right
  • Border
  • Measurement
  • Drawing
  • Takeoff
  • Styles
  • Scale
  • Help
  • Close

Below that is the preview area and at the bottom of the window is a status bar .

See Printing - Paper Sizes and Orientation for instructions on using various paper sizes and orientations.


Printing - Paper Sizes and Orientation

Set printer to portrait and feed paper in portrait. Use the button on the preview window to toggle between portrait and landscape. The paper size and the orientation are shown at the bottom right of the preview. If the printer is set to landscape, the Portrait/Landscape button will be disabled and printing may not work correctly.


Cell Comments

BidScreen XL stores the takeoff information in cell comments.

The default information is stored on a hidden page in the workbook. This contains a list of all the drawings used in the workbook and the default information used when starting a new takeoff.

Warning: Deleting or renaming the hidden page will render the workbook unusable. Care must be taken when merging workbooks.

Takeoff cell comments contain the information regarding a specific takeoff, including takeoff type, scale, style, the points taken off, and a pointer to the drawing list in the default cell information. Takeoff comments can be copied, moved and deleted at will.


Drawings, Scales, Styles, etc.

There is a complex relationship between drawing names, registration, styles, scales, and length rounding settings.

BidScreen XL maintains a list of drawings. Each drawing entry in the list stores its name and settings for scale, style and length rounding.

Each digitized cell stores settings for drawing, scale, style and length rounding. This information is stored in the cell comment.

BidScreen XL saves the drawing currently being used. This value is updated when a takeoff is completed. It is also updated when a new drawing is opened.

When a takeoff is completed, the settings for scale, style, length rounding for the current drawing are then updated. The drawing settings are also updated when the Scale Dialog is closed.

When a new cell is opened for digitizing, the settings stored in the current drawing are used.

Examples:

There are three drawing being used - Floor 1, Floor 2, and Floor 3. Each has been opened and scaled. Floor 1 is at 1/4", Floor 2 is at 1/8" and Floor 3 is at 1/16". Three takeoffs have been done - Cell C1 contains a takeoff on Floor 1, Cell C2 contains a takeoff on Floor 2, and Cell C3 contains a takeoff on Floor 3.

Cell C3 was the last takeoff and the cursor is still on cell C3. On the Toolbar, the Drawing Name will Be Floor 3 and the Scale will indicate 1/16".

Move the cursor to a blank cell - C4. The Drawing Name will Be Floor 3 and the Scale will indicate 1/16".

Move the cursor to cell C2. The Drawing Name will Be Floor 2 and the Scale will indicate 1/8".

Move the cursor to a blank cell - C4. The Drawing Name will Be Floor 3 and the Scale will indicate 1/16" because the last takeoff completed was cell C3. If a takeoff is started in this cell it will use these values.

Move the cursor to cell C1. The Drawing Name will Be Floor 1 and the Scale will indicate 1/4". Open the takeoff and hit the OK button. Then move to Cell C4. The Drawing Name will Be Floor 1 and the Scale will indicate 1/4" because the last takeoff completed was cell C1. If a takeoff is started in this cell it will use these values.


Dual Scales

Starting with Version 6, BidScreen XL supports separate horizontal and vertical scales. Control of the option is in the Project/Drawing Manager .

When dual scales [image] is checked on the Project tab, the dual scale checkbox is enabled on the Drawing tab. Checking this box on a drawing enables dual scales for that drawing.

When the scale is set on a drawing with dual scales enabled, the user will see a dialog asking whether dual scales are to be used.

If the user responds Yes, then two scales dialogs will be presented sequentially. The first defines the horizontal scale and the second defines the vertical scale. Refer to Setting Scales for instructions on defining a scale.

Important: When using dual scales, BidScreen XL assumes that horizontal lines are truly horizontal. If the drawing has been scanned this is probably not true. The drawing should be deskewed. If the drawing is loaded in the Project/Drawing Manager, this can be done by pressing the Rotate button. When the drawing is opened by pressing the Load Drawing button on the Excel Toolbar, it can be done in the drawing is previewed.


Setup

The Setup command displays the setup dialog. This dialog contains six tabs:

  • Options
  • Project
  • Takeoff Window
  • Reports
  • Styles
  • Themes

Note: The styles tab is only available if Use Styles is checked on the options tab.

There are several buttons on the right side of the dialog:

  • OK - Press to save changes
  • Cancel - Press to exit without saving changes
  • Default - Press to set default values .
  • Help - Display this help


Setup Options

This tab contains the following options:

  • Use Acrobat
  • Suppress Acrobat Messages
  • Prompt for Scale on Open Drawing
  • Suppress Autoscale Messages
  • Accept Multiple Drawings
  • Accept Single Drawings
  • Fast Comment Scanning
  • Automatic Update Check
  • Changed Drawings
  • Use Styles
  • Share Styles (only if Use Styles selected)
  • Allow Writing (only if Share Styles selected)
  • Style File (only if Use Styles selected)


Setup Project

These settings are copied to the project manager whenever a new project is started, or the setup dialog is closed with the OK button. They may be overridden at the project manager.

  • Dual Scale
  • Scale Units
  • Rounding
  • CAD settings


Setup Takeoff Window

Settings on this tab controls the look and operation of the Takeoff Window. It contains the following options:

  • Show Style Palette
  • Auto Hide Style Palette
  • Rounding Toolbar
  • Snap Toolbar
  • Cursor Style
  • Takeoff

There is an Edit Shortcuts button at the bottom of the tab. Press this button to edit the keyboard shortcut key combinations.


Setup Reports

This tab allows setting the three title box captions for reports.

  • Line 1 Caption: the default value is Project:
  • Line 2 Caption: the default value is Location:
  • Line 3 Caption: the default value is Estimator:

Note: These values can be overridden for the current project at the project manager .

There are three checkboxes at the bottom of the tab:

  • Only Show Title Dialog for New Projects - If this is checked, the title dialog will only show for projects where the title block information is blank. If it is not checked, the dialog will show each time a takeoff is printed. The default value for this setting is unchecked.
  • Suppress Scale Warnings - BidScreen XL will display a message when the selected scale is too small to display the drawing and takeoff correctly. Checking this box will suppress these messages. The default value for this setting is unchecked.
  • Print Style Legend on 2nd Page - If checked, BidScreen XL will print the style legend on a separate page. If not checked, the style legend will appear on the first page. The default value for this setting is unchecked.


Setup Styles

A style must be created under a Group. Therefore, create the Groups before creating the individual styles. Groups may be created by CSI division, project or any other logical manner.

To create a new group, click on the Add Group button. A Group entitled New will be added to the list. Change the caption text on the right side of the window from "New" to the desired group name.

After creating the groups, styles are added to a group by pressing the Add Style button. Like groups, when the Add Style button is clicked, a new style entitled New is created under the group. Change the caption text, color, point symbol, line type, line width and area fill pattern on the right side of the window.

Once a group and/or style is created, press the Move Up or Move Down buttons to organize the caption in the tree listing. Only Styles can be moved.

Press the Delete button to delete the highlighted Style or Group. Be careful when deleting. Deleting a Group also deletes all Styles under the Group.

When done customizing the Styles list press the OK button.

For more information see styles overview and User Defined Point Styles .


Themes

Use this tab to select a theme for displaying Bidscreen XL windows. Pressing the Apply button will display the setup window in the selected theme. The default value is Windows.


Project Manager Tab

These controls override the default values for the current project. Changing these values does not change the values defined in the Setup dialog.

Click on the image at the top of the page for an explanation of each part of the Drawing Manager tab.


Drawing Manager Tab

This tab is used to control the drawings used in the project. Drawings can be loaded, scaled, hidden and annotated. Additionally, if Use Dual Scales is selected at the Project Tab , each individual drawing can be set to use a single scale or dual scales.

Click on the image at the top of the page for an explanation of each part of the Drawing Manager tab.


Project/Drawing Manager Menu

The Project/Drawing Manager menu has three sub menus:

  • File
  • Drawing
  • View

The Drawing and View sub menus are only active when the Drawing Tab is selected.


Drawing Popup Menu

The drawing popup menu has the following choices:

  • Load
  • Rotate
  • Scale
  • Add Arrow
  • Add Comment
  • Circle - Center & Radius (under Add Highlight)
  • Circle - 3 Point (under Add Highlight)
  • Polygon (under Add Highlight)
  • Rectangle (under Add Highlight)
  • Select Object
  • Fit in Window


Takeoff Window

The takeoff window is the primary work are for BidScreen XL. It is used to preview drawings as they are opened, establish scales, and make measurements. Setup provides customization of the look and feel of the window.

The window contains:

  • Menu
  • Takeoff Ribbon
  • Information Bar
  • Drawing View
  • Status Bar

For more information see Takeoff Overview .


Takeoff Window - Open Drawing

When a drawing is previewed ( Accept Single Drawing or Accept Multiple Drawings enabled) the Drawing menu is active. If the drawing is modified, it can be saved , speeding up future loads of the drawing.

The window contains:

  • Menu - Not all menu items area available
  • Takeoff Ribbon - Not all toolbars are available
  • Information Bar
  • Drawing View
  • Status Bar

For more information see Takeoff Overview .


Takeoff Window - Scale

When digitizing a scale, the takeoff window is used to measure a known distance. Only two points are entered, the beginning and end of the known distance. The most accurate scales result from the longest distance.

The window contains:

  • Menu - Not all menu items area available
  • Takeoff Ribbon - Not all toolbars are available
  • Information Bar
  • Drawing View
  • Status Bar

For more information see Takeoff Overview .


Drawing View

Measurements are made in the drawing view. Think of the drawing view as a window on the drawing. The window can be manipulated using the following commands:

  • Pan - move the window left, right, up and/or down over the drawing.
  • Zoom In - make the window smaller and see a smaller portion of the drawing in greater detail.
  • Zoom Out - make the window larger and see a larger portion of the drawing in lesser detail.
  • Zoom To Selection - size and position the widow to display a selected portion of the drawing
  • Restore to Full Size - size and position the window to display the entire drawing

Points are selected and lines are drawn with left clicks of the mouse. The Takeoff Popup Menu is accessed by right clicking the mouse.

For further information on making measurements in the drawing view see:

  • Takeoff Overview
  • Takeoff Count
  • Takeoff Section Length
  • Takeoff Continuous Length
  • Takeoff Area


Takeoff Ribbon

The takeoff ribbon contains 9 toolbars:

  • Measure
  • Scale
  • Takeoff Commands
  • Zoom
  • Style
  • Round
  • Snap
  • CAD
  • OK/Cancel/Help

For monitors with lower horizontal resolutions, the Round and Snap toolbars can be hidden in Setup . This avoids collapsing the OK/Cancel/Help toolbar.


Takeoff Window Menu

The takeoff menu contains the following sub menus:

  • File
  • Edit
  • Zoom
  • Options
  • View
  • Styles
  • CAD
  • Help


Takeoff Popup Menu

The Popup menu is activated by pressing the right mouse button while in the Drawing View . It contains commands to:

  • Annotate
  • Arc
  • Close Area/End Line
  • Circle
  • Delete All Points
  • Delete Last Point
  • Highlight
  • Negative Line or Area
  • Pan
  • Positive Line or Area
  • Rectangle
  • Restore to Full Size
  • Select Object
  • Stop Takeoff
  • Zoom
  • Zoom and Pan Off
  • Zoom to Selection


Status Bar

Displays information at the bottom of the window about the drawing. The rightmost area of the status bar provides instructions while measuring.


Information Bar

The information bar is at the top of the takeoff window, immediately above the takeoff area. It displays :

  • the name and page of the currently loaded file
  • the current style setting (if Use Styles is enabled)
  • the type of drawing displayed - Raster, CAD or Acrobat
  • the current scale and factor


Styles Overview

Styles in BidScreen refer to how a takeoff is displayed on the screen or printer. There are five attributes to a style:

Line Color

Line Style - solid, dash, dot-dash, etc.

Line Width

Point Style - X, square, cross, circle, etc.

Fill Pattern - solid, clear, back diagonal, etc.

Line color and width apply to all takeoffs. Point style is only used for counts. Line style is used for lines and areas and fill pattern is only used for areas.

Point styles can be customized to a 1-3 character label.

When Use Styles is not enabled, the five attributes are set individually.

If Use Styles is enabled, combinations of the attributes can be predefined and assigned a label. These labels can then be displayed as the takeoff progresses and on printouts of the takeoff. During the takeoff, the attribute combination can be selected by the assigned label from the Styles Menu or by using the Style Palette .

A group of these combinations is called a style set. Style sets can be shared among multiple users.

Style sets can be defined on the setup dialog , or by pressing the Add/Edit/Delete Style [image] button on the style toolbar .

Note: the last style used will carry over to the next measurement in a new cell.


Working with Style Sets

Style Sets can be defined by depressing the Add/Edit/Delete Styles button [image] on the styles toolbar or by selecting Add/Edit/Delete Styles from the Styles Menu . This displays the Styles Dialog.

A style must be created under a Group. Therefore, create the Groups before creating the individual styles. Groups may be created by CSI division, project or any other logical manner.

To create a new group, click on the Add Group button. A Group entitled New will be added to the list. Change the caption text on the right side of the window from "New" to the desired group name.

After creating the groups, styles are added to a group by pressing the Add Style button. Like groups, when the Add Style button is clicked, a new style entitled New is created under the group. Change the caption text, color, point symbol, line type, line width and area fill pattern on the right side of the window.

Once a group and/or style is created, press the Move Up or Move Down buttons to organize the caption in the tree listing. Only Styles can be moved.

Press the Delete button to delete the highlighted Style or Group. Be careful when deleting. Deleting a Group results also deletes all Styles under the Group.

When done customizing the Styles list press the OK button.

Note: Style Sets can also be defined in Setup on the Styles tab .

See also User Defined Point Styles .


Style Palette

Styles can be selected from the style palette. The style palette appears as a thin bar on the left of the drawing view . (Left Image)

Moving the cursor over the bar causes the style palette to appear, overlaying the left side of the Drawing View. (Right Image) Click on the desired style to select it. If Auto Hide Style Palette is enabled, the palette will hide a few seconds after the cursor is returned to the Drawing View. If Auto Hide Style Palette is not enabled, hide the palette by clicking on the button [image] in the upper left corner.

The Style palette is only available if Use Styles is enabled. It can be enabled and disabled with the Show Style Palette check box in Setup .


Style Legend

The Style Legend is a floating dialog that displays the styles used on the current drawing. This menu item shows or hides the Style Legend.


Styles Menu

When using styles , the Styles menu allows selection of a particular style . It also has an command to Add/Edit or Delete Styles and controls the display of the Style Legend .


Style Toolbar

If styles are used, this toolbar provides a control to select a style from the current style set. It also provides a button to allow the current style set to be modified.

If styles are not used, the toolbar provides controls to define the attributes of the current takeoff - color, point style, line width, line style, fill style.

For further information on styles, see Styles Overview .


User Defined Point Styles

User defined point styles can be created as follows:

  • Go to Setup and select the Styles tab or in the Takeoff Window press the Add/Edit/Delete Styles button [image].
  • Select the style to modify from the list, or create a new style.
  • Select Custom from the Point Style list box.
  • Enter up to three characters in the Custom Text field.
  • Select the desired color. Line style and width should be set if the style will be used for areas and lengths as well as counts.
  • Press OK to save the changes.


Default Setup Values

  • Use Acrobat Enabled
  • Suppress Acrobat Messages Disabled
  • Prompt for Scale on Open Drawing Enabled
  • Suppress Autoscale Messages Disabled
  • Accept Multiple Drawings Disabled
  • Accept Single Drawings Enabled
  • Fast Comment Scanning Enabled
  • Automatic Update Check Enabled
  • Changed Drawings Prompt
  • Use Styles Enabled
  • Share Styles Disabled
  • Allow Writing n/a
  • Style File Public Documents\Vertigraph\BidScreen XL\StyleSets.ini
  • Use Dual Scales Off
  • Dual Scales Off
  • Scale Units English Architectural
  • Length Rounding None
  • Round Up Off
  • Color On
  • Thick Lines On
  • Black on White On
  • Report Line 1 Caption: Project:
  • Report Line 2 Caption: Location:
  • Report Line 3 Caption: Estimator:
  • Show Style Palette Disabled
  • Auto Hide Style Palette Enabled
  • Rounding Toolbar Depends on screen resolution. See Note 1 below.
  • Snap Toolbar Depends on screen resolution. See Note 2 below.
  • Cursor Style Thin Cross
  • Takeoff Show All Cells

Note 1:

The rounding toolbar will default to enabled if the horizontal screen resolution is greater than 1140. Otherwise it will default to disbled.

Note 2:

The snap toolbar will default to enabled if the horizontal screen resolution is greater than 1270. Otherwise it will default to disbled.


Default Shorcut Key Combinations

Default Shortcut Key Combinations

  • Arc - Ctrl+Alt+A
  • Annotate - Ctrl+Alt+N
  • Cancel - Alt+F4
  • Circle - Ctrl+Alt+C
  • Close Area/End Line - Enter
  • Highlight - Ctrl+Alt+H
  • Rectangle - Ctrl+Alt+R
  • Delete Last Point - BkSp
  • Delete All Points - Home
  • Negative Line or Area - Numeric Pad -
  • Positive Line or Area - Numeric Pad +
  • Restore to Full Size - Ctrl+Alt+F
  • Stop Takeoff - End
  • Zoom and Pan Off - Ctrl+Alt+Z
  • Zoom to Selection - Ctrl+Alt+S

See Edit Keyboard Shortcuts for instructions on setting and changing shortcut key combinations.


Setting Scales

Scales are set using the scale dialog. There are two forms of the dialog, one for CAD drawings and one for all others.

Basic operation of both dialogs are the same. Use the radio buttons at the top to select English or Metric units. If English Units are selected, then choose between Architectural or Engineering scales. The initial setting for these radio buttons are determined by the Scale Unit settings in Setup and the Project Manager .

There are three ways to set the scale:

  • Press the Digitize button to set the scale from a known measurement on the drawing. This is the recommended method of setting the scale.
  • Select the scale or drawing unit from the drop down list.
  • Press the Manual button to enter the factor directly. This should be a method of last resort.

Finally when The scale and factor are correct, press the OK button. To cancel without setting the scale, press the Cancel button.


Supported File Types

BidScreen XL supports the following file types:

  • AutoCAD DWF (*.dwf)
  • AutoCAD DWG (*.dwg)
  • AutoCAD DXF (*.dxf)
  • CALS (*.cal)
  • Cartesian Products (*.cpc, *.cpi) via conversion
  • Intergraph Vector (*.dgn)
  • Hewlett-Packard HPGL (*.plt)
  • LEAD CMP (*.cmp)
  • JPEG (*.jpeg *.jpg)
  • Portable Document (*.pdf)
  • Portable Network Graphic (*.png)
  • PostScript (*.eps *.ps)
  • Tagged Image File (*.tif *.tiff)
  • Windows Bitmap (*.bmp)
  • Windows Metafile (*.wmf)


Items Installed with BidScreen

  • Several sample Excel estimating files (templates) are installed in the Public Documents folder (C:\Users\Public\Documents\Vertigraph\BidScreen XL\examples). Use and modify these Excel estimating templates as you see fit.
  • Several sample drawing files are installed in the Public Documents folder (C:\Users\Public\Documents\Vertigraph\BidScreen XL\drawings).
  • The BidScreen Reference Viewer is added to the BidScreen XL folder on Window's Program List. The Viewer is ideal for looking at detail information while you measure from a different drawing
  • The CPC Conversion utility is added to the BidScreen XL folder on Window's Program List. This utility converts Cartesian Products files into tiff files.
  • The Tiff Resize utility is added to the BidScreen XL folder on Window's Program List. This utility re sizes large tiff files to conserve memory.


Overview

BidScreen lets you view and measure digitized drawings from image and CAD files while working in any Microsoft Excel workbook. Measuring items involves these steps after opening an Excel workbook:

  • Select the cell where you want the measurement recorded.
  • Open the drawing file.
  • Set the scale , if not already established.
  • Select the type of measurement
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Make the measurement on the drawing.

  • Prior to using BidScreen XL, it must be added to Excel . Excel 2007 and 2010 users have a choice of installing either a Ribbon UI or a conventional Menu and Toolbar .

  • Bidscreen XL stores takeoff information in cell comments. For a description of cell comments see the section in Other Information.


Load Drawing

Select this command to load a drawing or drawings to measure. It will display the Open Drawing Dialog.

This dialog can open a single drawing , multiple drawings of the same type , or multiple pages in one file .


Open Single Drawing

There are two setup settings that affect the way BidScreen XL operates when this button is pressed; Accept Single Drawings and Prompt for Scale on Open . With the default and recommended settings for these settings, BidScreen XL operates as follows.

After the Open button is pressed, the drawing will be displayed in the takeoff window . At this time the drawing can be rotated and de-skewed. The changed drawing can be saved. To accept the drawing for use, press the green check mark button. To discard the drawing, press the red X button.

If the drawing is accepted, the scale dialog will be displayed next. To defer setting the scale at this time, press the cancel button. Otherwise. set the scale and press the OK button.

The drawing will now be added to the drawing list and can be selected using either the drawing list or the project/drawing manager .


Open Multiple Drawings

There is one setup setting that affects the way BidScreen XL operates when this button is pressed; Accept Multiple Drawings .

If Accept Multiple Drawings is not enabled, the drawings are loaded without displaying them in the takeoff window. The drawings can be rotated or deskewed in the Project/Drawing Manager .

If this setting is enabled, BidScreen XL operates as follows.

After the Files button is pressed, each drawing of the selected file type in the current folder will be displayed in the takeoff window . At this time the drawing can be rotated and de-skewed. The changed drawing can be saved. To accept the drawing for use, press the green check mark button. To discard the drawing, press the red X button.

Pressing this Cancel button does not stop the opening of files, it simply skips the rejected file.

If the drawing is accepted, it now be added to the drawing list and can be selected using either the drawing list or the project/drawing manager button on the BidScreen XL Toolbar . The drawing will have to be scaled before use.

During the above process, a progress dialog is shown.

Pressing the Cancel button [image] on this dialog will stop further loading of drawings. Any drawings already loaded will remain in the list.


Open Multiple Pages

There is one setup setting that affects the way BidScreen XL operates when this button is pressed; Accept Multiple Drawings .

If Accept Multiple Drawings is not enabled, all the pages are loaded without displaying them in the takeoff window. The pages can be rotated or deskewed in the Project/Drawing Manager .

If this setting is enabled, BidScreen XL operates as follows.

After the Pages button is pressed, each page of the selected file will be displayed in the takeoff window . At this time the page can be rotated and de-skewed. The changed page can be saved. To accept the page for use, press the green check mark button. To discard the page, press the red X button.

Pressing this Cancel button does not stop the opening of pages, it simply skips the rejected page.

If the page is accepted, it now be added to the drawing list and can be selected using either the drawing list or the project/drawing manager button on the BidScreen XL Toolbar . The page will have to be scaled before use.

During the above process, a progress dialog is shown.

Pressing the Cancel button [image] on this dialog will stop further loading of pages. Any pages already loaded will remain in the list.


Browse Drawing (WEB)

Select this command to browse the web for a drawing to measure.


Count

Use Count for items such as doors, windows, and piers. See Takeoff Count and Drawing View for details on how to measure counts.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Section Length

Use Section Length to measure straight lines. Each line has only two points, a beginning and an end. Section Length calculates linear feet for English scale and linear meters for metric scale. See Takeoff Section Length and Drawing View for details on how to measure section lengths.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Scale

This command is used to set the scale for the current drawing for new takeoffs. It displays the Scale Dialog .

To change the scale on an existing takeoff use the Change Scale command from the BidScreen XL menu or the BidScreen XL popup menu.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Continuous Length

Use Continuous length to measure the length of lines that change direction or contain curves. Continuous Length calculates linear feet for English scale and linear meters for metric scale. See Takeoff Continuous Length and Drawing View for details on how to measure continuous lengths.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Area

Area calculates square feet for English scale and square meters for metric scale. See Takeoff Area and Drawing View for details on how to measure areas.

While calculating an area, the perimeter is calculated in the length field. To record the perimeter into Excel, select an blank cell, press the Continuous Length [image] button or select Continuous Length from the BidScreen XL menu or popup menu . When the Takeoff Window opens, immediately press the OK button.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Drawing Information

This command provides drawing information including the location, type and size of the currently loaded drawing file.


Takeoff Help

This button displays this help file.


Scale (display)

This field shows the currently selected scale. When on a cell with a takeoff it will display the scale used for that takeoff. When on a blank cell, it will display the last scale used for that drawing. The scale for a blank cell can be changed by pressing the scale button on the toolbar, [image] or by selecting Scale from the BidScreen XL menu or popup menu .

When using dual scales , both scales will be displayed, separated by a -.


Drawing List

This is a list of drawings available for take off. When on a blank cell, a drawing can be selected from the list. When on a cell containing a takeoff, the list shows the drawing used for the takeoff.


Takeoff Type (display)

This indicator displays the takeoff type (count, section length, continuous length, or area) of the selected cell. If a blank cell is selected, the indicator displays none.


Load Reference

This command opens a drawing for reference. Multiple drawing can be opened simultaneously. However, no measurements can be made in the reference viewer.


Browse Reference (WEB)

This command opens a web browser window to search for and open a drawing for reference. Multiple drawing can be opened simultaneously. However, no measurements can be made in the reference viewer.


Change Scale

This command only appears on the BidScreen XL menu and popup menu . If items were measured using an incorrect scale, the scale can be changed. First select the desired cells (hold down the Ctrl key on your keyboard to click on non-adjacent cells) then select the Change Scale command. The Scale Dialog will be displayed and a new scale can be selected. After changing the scale, all measurements selected are recalculated using the new scale.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Update Check

This command instructs BidScreen XL to check the Vertigraph website for any updates to the program.


About BidScreen XL

This command provides information about the BidScreen XL software including program version and registration number.


Arc

After entering at least one point while measuring continuous lengths or areas, press the Arc button [image] on the toolbar or select the Arc command from the Edit Menu or the Popup Menu . The arc command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+A.

The last point entered will become the first end of the arc. After selecting the Arc command, click on a point near the middle of the arc and then the second end point of the arc to draw the curved line.

Arcs can be linked. The last point of one arc can be the first point of another arc.

The arc line is not drawn until the last point is entered.


Circle

To measure the circumference or area of a circle, press the Circle button [image] on the toolbar or select the Circle command from the Edit Menu or the Popup Menu . The circle command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+C.

Then enter three points on the circumference of the circle. The circle is not generated until the last point is clicked.


Rectangle

To measure the perimeter or area of a rectangle, press the Rectangle button [image] on the toolbar or select the Rectangle command from the Edit Menu or the Popup Menu . The rectangle command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+R.

After selecting the command, click on three adjacent corners in either a clockwise or a counter clockwise order. The rectangle is not generated until the last point is clicked.


Takeoff Annotation

Annotation allows a comment regarding the takeoff to be placed on the drawing. After pressing the annotate button, [image] or selecting Annotate from the Edit Menu or the Popup Menu . The annotation dialog will appear.

Type in the comment. The comment will be place on the takeoff as shown in the dialog, so add line breaks where desired. Font style and size can be changed by pressing the font button. While the font dialog allows selection of a color, this setting is ignored. The annotation color will match the color of the current takeoff. When finished entering and formatting the comment, press the OK button.

The cursor will now show in the takeoff area as a rectangle showing the size and shape of the annotation. Left click on the desired location of the annotation and the annotation will appear on the takeoff.

Annotations can be deleted, edited and moved using select object . The color of the annotation will match the color of the current takeoff.

The Annotate command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+N.


Positive/Negative

Positive and Negative Measurements

BidScreen XL is capable of measuring both positive and negative areas and lengths. Normally takeoffs are positive - subsequent measurements are added to the total. Negative measurements are subtracted from the total. To make negative measurements, press the +/- button, [image] or select Negative from the Edit Menu or the Popup Menu . The Negative command can be assigned a shortcut key . By default this action is assigned to the numeric pad - key.

When measuring negative quantities, the label on the quantity being measured will be highlighted in red.

To return to positive measurements, press the +/- button, [image] or select Positive from the Edit Menu or the Popup Menu . The Positive command can also be assigned a shortcut key . By default this action is assigned to the numeric pad + key.

Note: When measuring negative areas, the areas are subtracted from the area total, but the perimeters are added to the length total.


Takeoff Highlight

Highlighting is used to draw attention to items or comments on the drawing by surrounding them with a polygon. The fill pattern of the polygon is fixed.

After pressing the Highlight button, [image] or selecting the Highlight command from the Edit Menu or the Popup Menu , draw the polygon in a similar fashion to taking off an area. Select Close Area/End Line to complete the polygon. Highlighting will be turned off when the polygon is complete.

Highlights can be deleted with select object . The color of the highlight matches the color of the current takeoff.

The Highlight command can also be a shortcut key . By default this action is assigned to Ctrl+Alt+H.


Delete Last Point

While measuring, the last point entered can be deleted by selecting Delete Last Point from the Edit Menu or the Popup Menu or by pressing the black X button. The Delete Last Point command can also be assigned a shortcut key . By default this action is assigned to Backspace.

When deleting the last point from section lengths, arcs, circles and rectangles, the entire object disappears when you delete the last point. To completely remove a circle or rectangle three points must be deleted. An arc requires deleting two points. The prompt on the status bar indicates the next takeoff action. For example after deleting two points of a circle, it will say "Select second point on circle."


Delete All Points

To remove all points in the current measurement, select Delete All Points Delete Last Point from the Edit Menu or the Popup Menu. The Delete All Point command can also be assigned a shortcut key . By default this action is assigned to Home.


Close Area/End Line

This command is used only when measuring areas or continuous lengths. For areas, this command draws a line segment from the last entered point to the first point, closing the area. The program is then ready to start a new area.

For continuous lengths, the command ends the line. The program is ready begin measuring a new line.

The Close Area/End Line command can also be assigned a shortcut key . By default this action is assigned to Return.


Stop Takeoff

This action closes the takeoff window and returns to Excel. The currently selected cell is updated with the takeoff information. This command can be accessed from the Edit Menu or the Popup Menu or by pressing the green check mark button on the takeoff ribbon .

The Stop Takeoff command can also be assigned a shortcut key . By default this action is assigned to the End key.


Cancel Takeoff

This action closes the takeoff window and returns to Excel. All changes to the current takeoff are discarded.

This command can be accessed from the Edit Menu or the Popup Menu or by pressing the red X button on the takeoff ribbon .

The Stop Takeoff command can also be assigned a shortcut key . By default this action is assigned to Alt+F4.


Help

Pressing the Help button or selecting Takeoff Help from the Help Menu opens the help file and displays the help topic associated with the current use of the takeoff window:

  • Takeoff
  • Scale
  • Accept Drawing


Select Object

To modify or delete an object pick Select Object from the Edit Menu or the Popup Menu . The Select Object command can also be assigned a shortcut key . By default this action is unassigned.

After selecting this command, the cursor changes to a box and all points entered are displayed with a with a small cross.

Portion of measurement before Select Object

Portion of measurement after Select Object

To select an object, move the cursor box over any point on the object and right click the mouse. This will display a menu with actions that can be performed on the object.


Takeoff Objects

Takeoff objects are the building blocks of a measurement. There are five objects, but not all are present in a given measurement.

  • Point - only used in count measurements
  • Line - used in section and continuous length measurements
  • Area - only used in area measurements
  • Annotation - can be used in any measurement
  • Highlight - can be used in any measurement


Use Acrobat

BidScreen XL can use Adobe Acrobat to open PDF files. Acrobat Reader is not supported. This option will only be enabled when Adobe Acrobat Version 7 or higher is installed. Vertigraph recommends using Acrobat to read PDF files. The default setting for this option is enabled.


Suppress Acrobat Messages

If Adobe Acrobat is not used to open PDF files BidScreen XL will show a message indicating that Vertigraph recommends using Acrobat to read PDF file. Selecting this option will disable the message. The default setting for this option is disabled.


Prompt for Scale on Open Drawing

If this option is enabled, the scale dialog will be displayed when a drawing is first opened. This option does not apply to multiple page or multiple file opens. The default setting for this option is enabled.


Suppress Autoscale Messages

Certain drawing formats do not supply enough information to establish the scale. When one of these drawings is opened a message is displayed suggesting that the drawing be autoscaled. When this option is enabled, the message will not be shown. The default setting for this option is disabled.


Accept Multiple Drawings

If this option is enabled, each page of a multiple page open, or each file of a multiple file open will be displayed. The page or file can then be accepted or rejected. If this option is disabled, then all pages or files are accepted and added to the drawing list. The default setting for this option is disabled.


Accept Single Drawings

When a single drawing is opened it is displayed and can be accepted or rejected. If accepted it is added to the drawing list. If this option is disabled, the drawing will be added to the drawing list without being displayed. The default setting for this option is enabled.


Fast Comment Scanning

BidScreen XL will operate faster with certain versions of Excel if this option is enabled. However, enabling the option may cause errors in Excel. The default setting for this option is enabled.


Automatic Update Check

If this option is enabled, BidScreen XL checks the Vertigraph website for updates when the program is started. This requires an internet connection. If the computer is not connected to the internet, disable the option. When BidScreen XL is installed, the option is enabled. The default setting for this option is enabled.


Changed Drawings

When a drawing is changed during the open process, the drawing may be saved with the changes. The drawing will then load faster on subsequent use. This option takes one of three values:

  • Always Save - the Save As dialog is always displayed.
  • Prompt to Save - a dialog is displayed asking whether or not to save the drawing.
  • Never Save - the drawing is never saved, the original will always be used.

The default setting for this option is Prompt to Save.


Use Styles

See Styles Overview for information on how styles are used in BidScreen XL. When this option is enabled, BidScreen XL will use styles. When disabled, styles are not used. The default setting for this option is enabled.


Share Styles

BidScreen XL allows sharing the style information among several users. The default setting for this option is disabled.


Allow Writing

If styles are shared, there should be only one user responsible for maintaining the style information. This option should only be enabled on one machine. The other machines will not be able to write to the style file. The default setting for this option is disabled.


Style File

This option allows the user to select which style set will be used. When sharing all machines should have this option pointing to the same style file. The name of the file is StyleSets.ini. Press the ... button to use a dialog to navigate to the file. The installed value of this options points to the style file installed with BidScreen XL. It is in the public documents folder. The default and recommended settings buttons do not change the value of this option.


Show Style Palette

The style palette provides a list of the available styles. When enabled it is located at the left edge of the takeoff area. (Left image) Moving the cursor over the palette will cause it to appear. (Right image) It is only available if Use Styles is enabled.

The default setting for this option is disabled.


Auto Hide Style Palette

The style palette overlays the left side of the drawing. If this option is enabled, the style palette will hide about 5 seconds after the cursor moves off the palette. If this option is disabled, the style palette must be manually hidden by pressing the button [image] at the top of the palette.

The default setting for this option is enabled.


Rounding Toolbar

When Tool Style is set to Toolbar, this option enables and disables the display of the Rounding Toolbar.

The default setting for this option is dependent on screen resolution. The rounding toolbar will default to enabled if the horizontal screen resolution is greater than 1140. Otherwise it will default to disbled.


Snap Toolbar

When Tool Style is set to Toolbar, this option enables and disables the display of the Snap Toolbar.

The default setting for this option is dependent on screen resolution. The snap toolbar will default to enabled if the horizontal screen resolution is greater than 1270. Otherwise it will default to disbled.


Cursor Style

This option controls the cursor used for takeoffs. It can take one of three values:

  • Box Cross
  • Shadow Cross
  • Thin Cross

The default and recommended value for this option is Thin Cross.


Takeoff

This option controls the display during takeoffs. It can assume one of two values:

  • Show Current Cell - Only the takeoff associated with the current cell is displayed in the Drawing View
  • Show All Cells - All takeoffs from the current drawing are shown in the drawing view. However, only the takeoff from the current cell can be modified.

The default value for this option is Show All Cells.


Edit Keyboard Shortcuts

Pressing the Edit Shortcuts button on the setup dialog or selecting Edit Keyboard Shortcuts from the Options Menu will display the Shortcut Editor Dialog.

This dialog displays a list of all actions that can be assigned keyboard shortcut combinations. To change the combination for an action select the action by clicking on the Shortcut Key column of the action. Then press the "Change Shortcut" button.

This will display the Change Shortcut dialog.

Press the desired key combination and it will appear in the edit box. Two keys can not be entered this way. To use the Enter key or the Backspace (Bksp) key press the button below the edit box. For example to use Alt Enter as a shortcut combination, hold down the Alt key and press the enter button. To clear the shortcut combination, press the "None" button. When complete, press the "OK" button. To exit without changing the combination press the "Cancel" button.

Duplicate combinations are not allowed. Delete the combination from the old action first, then add the combination to the new action.

To save the new combination values, press the "OK" button. To exit without saving the changes, press the "Cancel" button.

Shortcut key combinations are not affected by the "Default" buttons on the setup dialog .

Press here for a list of default shortcut key combinations .


Shortcut Key Combinations

Shortcut key combinations are a way of performing certain actions from the keyboard. The combinations are shown in the right hand columns of the File menu , the Edit menu , the Zoom menu , the CAD Menu , and the Popup menu . The combinations on the file menu can not be changed.

The following actions can have keyboard shortcuts:

  • Add/Edit/Delete Styles
  • Annotate
  • Arc
  • Cancel
  • Close Area/End Line
  • Circle
  • Color
  • Delete All Points
  • Delete Last Point
  • Highlight
  • Monochrome
  • Negative Line or Area
  • Pan
  • Positive Line or Area
  • Rectangle
  • Restore to Full Size
  • Select Object
  • Select Layers
  • Show/Hide Scroll Bars
  • Snap to Object
  • Stop Takeoff
  • Thin Lines
  • Zoom
  • Zoom and Pan Off
  • Zoom to Selection
  • Weighted Lines

See Edit Keyboard Shortcuts for instructions on setting and changing the shortcut key combinations. Not all actions are assigned shortcut key combinations at installation. See Default Shortcut Key Combinations for the installed values.


Dual Scales

Checking the Use Dual Scales box allows the use of dual scale drawings. If dual scales are enabled, the radio buttons define the setting of dual scale when a drawing is first opened. For more information on using dual scales, click here .

The default value is off or not checked.

This setting will be applied whenever a project is created. The project level setting can be viewed or modified in the Project/Drawing Manager .


Scale Units

This setting determines the units initially displayed on the scale dialog . The possible values for this setting are:

  • English Archetectural
  • English Engineering
  • Metric

These settings will be applied whenever a project is created. The project level settings can be viewed or modified in the Project/Drawing Manager .

The default value for this setting is English Architectural.


Rounding

Bidscreen XL can round length takeoffs using selected unit lengths. For measurements using English scales, the available unit lengths are 3", 4", 6", 8" and 1'. For metric measurements, the available lengths are 1cm, 10cm, 50cm and 1m. The default value is (None).

If Round Up is checked, then all measurements are rounded up. For example using a unit length of 6", a measurement of 3' 2" would normally round to 3'. If Round Up is checked then it would round to 3' 6". The default value is off or not checked.

These settings will be applied whenever a project is created. The project level settings can be viewed or modified in the Project/Drawing Manager .


CAD

There are three settings controlling the display of CAD drawings:

  • Color - if checked, the drawing is displayed in color. If not, the drawing is displayed in black and white. The default value is checked.
  • Black on White - If checked, the drawing is displayed with a white background. If not checked, the drawing is displayed with a black background. The default value is checked.
  • Thick Lines - If checked, the drawing is displayed with wide lines, if used by the designer. If not checked, all lines are displayed at single width. The default value is checked.

These settings will be applied whenever a project is created. The project level settings can be viewed or modified in the Project/Drawing Manager .


Drawing Menu

The drawing menu provides the following tools for manipulation when opening a drawing:

  • Rotate
  • Deskew
  • Reset (Rotations)
  • Modify Palette...
  • Restore Palette

After making modifications to the drawing, it is recommended that the drawing be saved . This will speed up opening the drawing for subsequent uses.

Note: CAD drawings can not be saved.


Takeoff Menu - Open Drawing

The takeoff menu is modified when opening a drawing. The Drawing Menu is added, and the Edit and Options menus are disabled. If Styles are used, the Styles menu is also disabled.


Takeoff Count

Click the left mouse button on the drawing to record each item. Record the quantity count into Excel, by pressing the green check mark or selecting Stop Takeoff command from the Edit Menu or the Popup Menu . Stop Takeoff can also be assigned a shortcut key . By default this action is assigned to the End key.

To close the takeoff window with recording changes into Excel, press the red X key, or select Exit (Cancel) from the File menu. This action can be assigned a shortcut key . By default this action is assigned to the Alt+F4 key.

While measuring counts, the following commands can be used:

  • Annotate
  • Highlight
  • Delete Last Point
  • Delete All Points
  • Select Object


Takeoff Section Length

Left click the beginning of the line and then the end of the line. When one line is finished, BidScreen XL is ready to start a new line.

Record the quantity count into Excel, by pressing the green check mark or selecting Stop Takeoff command from the Edit Menu or the Popup Menu . Stop Takeoff can also be assigned a shortcut key . By default this action is assigned to the End key.

To close the takeoff window with recording changes into Excel, press the red X key, or select Exit (Cancel) from the File menu. This action can be assigned a shortcut key . By default this action is assigned to the Alt+F4 key.

While measuring section lengths, the following commands can be used:

  • Annotate
  • Highlight
  • Delete Last Point
  • Delete All Points
  • Select Object
  • Negative


Takeoff Continuous Length

Simply click on points along the line, or trace it by holding down the left mouse button while moving along the line.

End the line by selecting Close Area/End Line from the Edit Menu or the Popup Menu . Close Area/End Line can also be assigned a shortcut key . By default this action is assigned to the Enter Key.

Record the quantity count into Excel, by pressing the green check mark or selecting Stop Takeoff command from the Edit Menu or the Popup Menu . Stop Takeoff can also be assigned a shortcut key . By default this action is assigned to the End key.

To close the takeoff window with recording changes into Excel, press the red X key, or select Exit (Cancel) from the File menu. This action can be assigned a shortcut key . By default this action is assigned to the Alt+F4 key.

While measuring continuous lengths, the following commands can be used:

  • Arc
  • Circle
  • Rectangle
  • Annotate
  • Highlight
  • Delete Last Point
  • Delete All Points
  • Select Object
  • Negative


Takeoff Area

Click on points along the perimeter, or trace it by holding down the left mouse button while moving along the perimeter.

End the line by selecting Close Area/End Line from the Edit Menu or the Popup Menu . Close Area/End Line can also be assigned a shortcut key . By default this action is assigned to the Enter Key.

Record the quantity count into Excel, by pressing the green check mark or selecting Stop Takeoff command from the Edit Menu or the Popup Menu . Stop Takeoff can also be assigned a shortcut key . By default this action is assigned to the End key.

To close the takeoff window with recording changes into Excel, press the red X key, or select Exit (Cancel) from the File menu. This action can be assigned a shortcut key . By default this action is assigned to the Alt+F4 key.

While measuring areas, the following commands can be used:

  • Arc
  • Circle
  • Rectangle
  • Annotate
  • Highlight
  • Delete Last Point
  • Delete All Points
  • Select Object
  • Negative

While calculating an area, the perimeter is calculated in the length field. When negative is selected, the area will be subtracted from the total show in the are field. The perimeter is always treated as a positive number.


Measure Toolbar

This toolbar displays takeoff results.

For counts only the count field contains any information.

For section lengths, the count field displays the number of points entered and the length field displays the cumulative length of all sections measured. If the count field is even, BidScreen XL is ready to measure a new section. If it odd, the first point of the section has been taken off and a rubber band (thin line) will display between that point and the cursor as it is moved.

For continuous lengths, the count field displays the number of points entered and the length field displays the cumulative length of all lines measured. After the first point of the line has been taken off a rubber band (thin line) will display between the last point taken off and the cursor as it is moved.

For areas, the count field displays the number of points entered and the length field displays the cumulative length the perimeters of all areas measured. After the first point of the area has been taken off a rubber band (thin line) will display between the last point taken off and the cursor as it is moved. After the second point is taken off, a second rubber band will display from the cursor to the first point taken off.


Scale

This toolbar shows the scale for the drawing. When using dual scales, both scales will be displayed, separated by a -.


Takeoff Commands

This toolbar provides buttons for takeoff related commands.

The buttons on the toolbar are:

  • Arc
  • Circle
  • Rectangle
  • Annotate
  • Highlight
  • Negative/Positive
  • Delete Last Point
  • Delete All Points
  • Select Object

For more information see Takeoff Overview .


Zoom Toolbar

The Zoom toolbar contains the following tools:

  • Zoom
  • Zoom to Selection
  • Restore to Full Size
  • Enable/Disable Scroll Bars
  • Pan

See also Drawing View .


Rounding Toolbar

This toolbar contains controls for:

  • Length Rounding
  • Round Up


Snap Toolbar

This toolbar contains controls for:

  • Snap to Grid
  • Snap to Angle


CAD Toolbar

The CAD toolbar contains the following tools:

  • Layout List Box
  • Snap To Object
  • Layer Selection
  • Color/Monochrome
  • Weighted/Thin Lines
  • Black on White/White on Black


OK/Cancel

The CAD toolbar contains the following tools:

  • Stop Takeoff
  • Cancel
  • Takeoff Help


File Menu

The file menu contains the following commands:

  • Save... - only enabled when opening a drawing
  • Save As... - only enabled when opening a drawing
  • Close (OK) - identical to Stop Takeoff
  • Exit (Cancel) - identical to Cancel Takeoff


Save... and Save As...

These commands are used to save a modified drawing. Saving the drawing after modification speeds up loading the drawing for subsequent use. The drawing can be saved in one format:

  • LEAD CMP File (*.cmp)

The Save As command displays the standard windows file save dialog. Prior to naming the file, the Save command displays the same dialog. After the file has been named and saved, the Save command saves the file without displaying a dialog.

Save and Save As are only available when the drawing is being loaded .


Edit Menu

The Edit menu contains commands to:

  • Annotate
  • Arc
  • Close Area/End Line
  • Circle
  • Delete All Points
  • Delete Last Point
  • Highlight
  • Negative/Positive
  • Rectangle
  • Select Object
  • Stop Takeoff


Zoom Menu

The Zoom menu contains commands to:

  • Pan
  • Restore to Full Size
  • Zoom
  • Zoom and Pan Off
  • Zoom to Selection


Pan

Use this command to turn panning on and off.


Zoom

Use this command to turn Zoom on and off. The left mouse button will zoom in and the right mouse button will zoom out .


Zoom to Selection

Select this command by pressing the Zoom to Selection button [image] on the Zoom Toolbar , clicking Zoom to Selection on the Zoom menu or Popup menu.,The Zoom to Selection command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+S.

The cursor will change to a small cross. Left click the mouse and drag the cursor to create rectangle on the drawing. Release the left mouse button and the drawing will display the selected area.

Because the rectangle selected and the drawing view can have different aspect ratios, a best fit algorithm is used to determine the actual portion of the drawing displayed. The center of the selected rectangle will be the center of the view.

Turn of Zoom to Selection by clicking on the Zoom to Selection button on the Zoom Toolbar again, clicking Zoom to Selection on the Zoom menu or Popup menu, pressing the shortcut key combination for Zoom to Selection or clicking Zoom and Pan Off on the Zoom menu. The cursor will return to normal.


Restore to Full Size

This command will Zoom the drawing so that it is fully displayed in the Drawing View .

Select this command by pressing the Restore to Full Size button [image] on the Zoom Toolbar , clicking Restore to Full Size on the Zoom menu or Popup menu.,The Restore to Full Size command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+F.


Zoom In

Zoom In, or enlarging the drawing to see more detail can be done several ways.

  • Rotate the mouse scroll wheel away from you. The drawing will increase in size. The center of the drawing will not move.
  • Hold down Shift key on the keyboard. The cursor will change to a small magnifying glass. Left click the mouse and the drawing will increase in size. The drawing will be centered where the mouse is clicked. To stop zooming, release the Shift key.
  • Turn on zooming by clicking on the Zoom button [image] on the Zoom Toolbar , Zoom on the Zoom Menu or Popup Menu , or pressing the shortcut key combination for Zoom. The cursor will change to a small magnifying glass. Left click the mouse and the drawing will increase in size. The drawing will be centered where the mouse is clicked. To stop zooming click the Zoom button again, click Zoom on the Zoom Menu or Popup Menu again, press the shortcut key combination again, or click on Zoom and Pan Off on the Zoom Menu . The cursor will return to normal.

Note: As installed, there is no defined shortcut key combination for zooming. See the section on programming shortcut key combinations to set a value.


Zoom Out

Zoom Out, or decreasing the size of the drawing to see more can be done several ways.

  • Rotate the mouse scroll wheel towards from you. The drawing size will decrease. The center point of the view is unchanged.
  • Hold down Shift key on the keyboard. The cursor will change to a small magnifying glass. Right click the mouse and the drawing will decrease in size. The drawing will be centered where the mouse is clicked. To stop zooming, release the Shift key.
  • Turn on zooming by clicking on the Zoom button [image] on the Zoom Toolbar , Zoom on the Zoom Menu or Popup Menu , or pressing the shortcut key combination for Zoom. The cursor will change to a small magnifying glass. Right click the mouse and the drawing will decrease in size. The drawing will be centered where the mouse is clicked. To stop zooming click the Zoom button again, click Zoom on the Zoom Menu or Popup Menu again, press the shortcut key combination again, or click on Zoom and Pan Off on the Zoom Menu . The cursor will return to normal.

Note: As installed, there is no defined shortcut key combination for zooming. See the section on programming shortcut key combinations to set a value.


Panning

Panning, or moving drawing view can be done several ways.

  • Hold down Ctrl key on the keyboard. The cursor will change to a small hand. Left click the mouse and drag the drawing under the view window. To stop panning, release the Ctrl key. The cursor will return to normal.
  • Turn on panning by clicking on the Pan button [image] on the Zoom Toolbar , Zoom on the Zoom Menu or Popup Menu , or pressing the shortcut key combination for pan. The cursor will change to a small hand. Left click the mouse and drag the drawing under the view window.To stop panning click the Pan button again, click Zoom on the Zoom Menu or Popup Menu again, press the shortcut key combination again, or click on Zoom and Pan Off on the Zoom Menu . The cursor will return to normal.
  • If the Scroll Bars are displayed on the Drawing View, use the scroll bars to position the drawing under the view window.

Note: As installed, there is no defined shortcut key combination for panning. See the section on programming shortcut key combinations to set a value.


Zoom and Pan Off

This command will turn off all zoom and pan commands.

Select this command by clicking Zoom and Pan Off on the Zoom Menu or Popup Menu . The Zoom and Pan Off command can also be assigned a shortcut key . By default this action is assigned to Ctrl+Alt+Z.


Scroll Bars

This command will enable and disable the display of scroll bars on the drawing view . The scroll bars can be used to pan around the drawing.


Options Menu

The Options menu contains commands for:

  • Color...
  • Fill Style...
  • Line Style
  • Point Style
  • Line Width
  • Length Rounding
  • Snap Angle
  • Snap Grid
  • Snap to Object
  • Cursor
  • Panning
  • Edit Keyboard Shortcuts

If Styles are being used, the first five items are not present.


Length Rounding and Round Up

Bidscreen XL can round length takeoffs using selected unit lengths. For measurements using English scales, the available unit lengths are 3", 4", 6", 8" and 1'. For metric measurements, the available lengths are 1cm, 10cm, 50cm and 1m.

If Round Up is checked, then all measurements are rounded up. For example using a unit length of 6", a measurement of 3' 2" would normally round to 3'. If Round Up is checked then it would round to 3' 6".

The length used as a unit for rounding and round up can be selected from the options menu ,

or the takeoff ribbon .


Snap Grid

Snap to Grid

Snap grid forces all points to fall on a grid with a specified spacing. The grid positioning is relative to the first point entered. Available grid sizes are 1/8", 1/4", 1/2" and 1". These are units on the drawing, not scaled sizes.

The snap grid can be selected from the options menu ,

or the takeoff ribbon .

Note: When working with CAD drawings Snap Angle is disabled if Snap to Object is selected.


Snap Angle

Snap angle forces all lines to be drawn on a multiple of the angle selected. For example, if 45 is selected, lines can only be drawn at 0, 45, 90, 135, 180, 225, 270, 315 degree angles from the previous point. While moving the cursor, the rubber band indicates the line that will be drawn.

The snap angle can be selected from the options menu ,

or the takeoff ribbon .

Note: When working with CAD drawings Snap Angle is disabled if Snap to Object is selected.


Color...

Use this command to select the line color for the current takeoff. This command is only available if Styles are not used.


Fill Style

Use this command to select the area fill pattern for the current takeoff. This command is only available if Styles are not used.

Fill styles are selected using the Select Fill Pattern Dialog.

Select a fill pattern by clicking on it. The selected fill pattern is displayed below the Cancel button.


Line Style

Use this command to select the line style for the current takeoff. This command is only available if Styles are not used.


Point Style

Use this command to select the point style for the current takeoff. This command is only available if Styles are not used.


Line Width

Use this command to select the line width for the current takeoff. This command is only available if Styles are not used.


Snap to Object

Snap to Object works with CAD vector files only. As the cursor is moved around the drawing a small box is drawn at the snap location. The location is the nearest line intersection or point in the drawing. When the left mouse button is pressed, the snap location at the center of the box is used for the takeoff.


View Menu

The View menu provides a means to show or display many aspects of the takeoff window:

  • Magnifier Window
  • Pan Window
  • Style Palette
  • Anti-aliasing (Not available on CAD drawings)


Magnifier Window

The Magnifier Window provides a zoomed in view of the drawing, similar to holding a magnifying lens over the drawing. The cross hair indicates the cursor position on the drawing view. The zoom track bar at the bottom of the window can be used to change the strength of the magnification.

The Magnifier Window is not available for use with CAD drawings.


Pan Window

The Pan Window provides a view of the full drawing. The blue rectangle defines the area shown in the drawing view . The drawing view can be panned by dragging the blue box around the Pan Window. The zoom track bar at the bottom of the Pan Window can be used to zoom the drawing view in and out.


Style Palette

This menu item shows or hides the Style Palette .


Anti-Aliasing

This menu item enables and disables anti-aliasing. Anti-aliasing improves the clarity of most drawings and should be enabled at all times. It not available for CAD drawings.


Select Style

{bmc styles menu.png}

Style groups appear on the style menu as folders. Placing the cursor over a group displays the styles in that group to the right. Clicking on a style selects it for use in the takeoff.


CAD Menu

The CAD menu contains the following items:

  • Select Layout
  • Snap to Object
  • Layers...
  • Color
  • Monochrome
  • Weighted Lines
  • Thin Lines
  • Black on White
  • White on Black

The CAD menu is only available when using CAD drawings.


Select Layout

CAD drawings, except dwf files, can have multiple layouts. Use this command to select the desired layout for use during the takeoff.


Layers...

CAD drawings can have multiple layers. Use this command to select which layers are visible during the takeoff.


Color/Monochrome

The lines in a CAD drawing can be displayed in the color used when the drawing was created or in black. Use these command to select the desired display.


Weighted/Thin Lines

The lines in a CAD drawing can be displayed in width used when the drawing was created or as single width lines. Use these command to select the desired display.


Black on White/White on Black

If Black on White is selected, the drawing will be displayed with a white background. The primary line color will be black. If White on Black is selected, the drawing will be displayed with a black background. The primary line color will be white. White on Black improves visiblity when lighter colored lines, such as yellow, are used in the drawing.


Help Menu

The Help menu contains these commands:

  • Contents...
  • Index...
  • Drawing Info...
  • Help on Takeoff Window...
  • Register...
  • About...


Contents...

This command opens this help file to the table of contents.


Index...

This command opens this help file to the index.


Register...

Pressing this command displays the registration dialog. After purchasing BidScreen XL, it is necessary to register the software. Call the phone number at the top of the dialog to register the software.


About...

This command provides information about the BidScreen XL software including program version and registration number.


Select Object Popup Menu

When Selecting Objects , the takeoff popup menu contains the following commands:

  • Edit...
  • Move
  • Delete Object
  • Cancel


Edit...

This command only applies to annotations . It will display the annotation dialog, allowing editing of the annotation text.


Move

This command only applies to annotations . Select this command, then left click on the desired location of the upper left corner of the annotation.


Delete Object

This command applies to all takeoff objects . It will delete the entire object.


Cancel

This command cancels select object and returns to normal measurement.


Select Folder

Press the drop down button to open a list of folders. The list can then be used to navigate to the desired folder.


Up one folder

Pressing this buttons changes the displayed folder to the parent of the current folder.


List or Detail

If list, the left button, is depressed, only the file names will be shown in the file list. If details, the right button is depressed, additional information on the files will be displayed in the list.


Show Preview

If this button is depressed, a preview of the selected file and page will be shown to the right of the file list. If the button is not depressed, the preview will not be shown.


Folder Shortcuts

The panel to the left displays shortcut buttons to navigate to predefined folders. The available buttons are:

  • My Documents
  • Desktop
  • My Computer
  • Drawings
  • Temp

The Drawings button, as installed, points to the folder containing the sample BidScreen XL drawings. To change this value, navigate to the desired folder, select a file in the folder, then click on the button while depressing the Alt key. A confirmation dialog will be shown. Press OK to change the folder, press No to leave the folder unchanged.


File List

The file list displays a the files of the selected type in the current folder. The list can show only the file name, or details on the file.


File Type Selection

This combo box allows selection of the type of file displayed in the file list. Available file types are:

  • AutoCAD DWF (*.dwf)
  • AutoCAD DWG (*.dwg)
  • AutoCAD DXF (*.dxf)
  • AutoCAD Plotter Document (*.plt)
  • CALS (*.cal)
  • Computer Graphics Metafile (*.cgm)
  • Corel (*.drw)
  • Intergraph Vector (*.dgn)
  • Graphisoft PLN (*.pln)
  • Hewlett-Packard HPGL (*.hpg)
  • LEAD CMP (*.cmp)
  • JPEG (*.jpeg *.jpg)
  • Portable Document (*.pdf)
  • Protable Network Graphics (*.png)
  • PostScript (*.eps *.ps)
  • Tagged Image File (*.tif *.tiff)
  • Windows Bitmap (*.bmp)
  • Windows Metafile (*.wmf)


Page Number Selection

This field allow selection of a single page from a multi-page drawing file. The page selected is shown in the preview window . If the selected drawing has only one page, this field is not available.


Drawing Preview

This area displays a preview of the selected drawing, if Show Preview is on.


Cancel Open

Pressing this button will close the Open Drawing Dialog and return to Excel.


File Name

This box displays the currently selected drawing. This drawing is shown in the preview .


Scale - Units

Use these radio buttons to select English or Metric Units. If English units are selected then choose between Architectural or Engineering scales.

The initial setting for these radio buttons are determined by the Scale Unit settings in Setup and the Project Manager .


Scale - Manual

Pressing the manual button displays the Enter Factor Dialog. There are two forms of the dialog. The first is form CAD drawings and English Architectural or Metric scales.

Enter the factor in the edit box.

For English Architectural scales, the dialog below is shown.

The fraction calculator can be used to define factors for scales not in the selection list on the scale dialog.

After the correct factor is entered, press the OK button. To close the dialog without changing the factor, press the Cancel button.


Scale - Drawing Units

CAD drawings are drawn in arbitrary units called Drawing Units. The length of the drawing unit then determines the scale of the drawing. Common drawing units are inches, feet and meters.


Scale - Arch Eng

When using English units, either Architectural or Engineering scales can be used. Architectural scales are defined by fractions of an inch per foot, for example 1/4". Engineering scales are defined by the ratio of inches to feet, for example 1:100.

The initial setting for these radio buttons are determined by the Default Scale settings in Setup and the Project Manager .


Scale - Factor

This displays the factor for the selected scale. For CAD drawings, factors are defined as follows:

  • English units: the factor is 100 times number of feet per scale unit.
  • Metric units: the factor is approximately 328 times the number of meters per scale unit.

For other drawings, factors are defined as follows:

  • English units and Architectural scale: the factor is the number of scale units per foot. For example the factor for 1/8" scale is 96.
  • English units and Engineering scale: the factor is the then number of feet represented by one inch on the drawing. For example the factor for a 1:25 scale is 300.
  • Metric units: the factor is the number of meters represented by one meter on the drawing. For example the factor for a 1:500 scale is 500.


Scale - Select

After selecting the units and scale type , use the drop down list to select the correct scale.


Scale - Digitize

After pressing the Digitize button, the takeoff window will appear, overlaid by a dialog box with instructions.

Press OK to continue. Then use the takeoff window to measure a known distance.

After clicking on the end of the line a dialog box will appear.

Enter the length of the known distance. For english measurements, a fraction calculator is prolvided to convert inches to decimal portions of a foot.

When the distance is correct, press the OK button. Pressing the Cancel [image] button will stop the scale process and return to Excel with the scale unchanged.


Print

Press this button to print the drawing to a printer.


Print Setup

This button displays the system Printer Setup dialog. This dialog can be used to select a particular printer and select the paper size and orientation. After any changes, the print preview window will resize to reflect the changes.


Print to File

Press this button to print the image to a pdf file.


Font

Press this button to change the font used for the title block, measurement and style legend.


Rotate

The print image can be rotated 90 degrees left from the normal position. Press then Rotate Left button [image] to do this. To return the drawing to the normal orientation, press the Rotate Right button.


Border

When this button is down a border will be drawn around the drawing. When up, no border will be drawn.


Measurement

When down numerical measurements associated with the takeoff will be printed. When up, the measurements will not be shown.


Drawing

When down, the drawing associated with the takeoff will be shown. When up, it will not be printed.


Takeoff

When down, the takeoff will be printed. When up, it will not be shown.


Styles

When down, a legend of the styles used in the takeoff will be printed. When up, the legend will not be shown. The legend can be printed on a separate page by checking Print Style Legend on 2nd Page on the print options dialog or setup dialog .


Scale

Use the list of scales to zoom the drawing in and out. Selecting too small a scale will result in an error message. If this occurs, select a larger scale.


Close

Press this button to close the preview window.


Preview Area

The preview area shows the drawing as it will be printed. The drawing can be panned by dragging the mouse across the image. It can be zoomed by changing the scale.


Status

The status contains information relative to the printout. Left left hand side displays the drawing being used. The right hand side displays the currently selected paper size and the orientation of the printout. See Printing - Paper Sizes and Orientation for more information.


Rotate

Use this command to rotate the drawing. The available rotations are shown above. Selecting other... displays the rotation dialog

allowing manual entry of any angle.

Rotations are cumulative. To restore the drawing to its original orientation use the Reset command .


Deskew

Some drawings, especially scanned paper drawings are skewed vertically and horizontally. Press the Deskew command and select two points on a horizontal line. After selecting the second point the drawing will be deskewed so that the line is horizontal. Deskewing and rotation can be combined.

To restore the drawing to its original orientation use the Reset command .


Reset

This commands restores the drawing to its original orientation.


Modify Palette...

This command displays the Change Color Dialog. This command is not available for monochrome (black and white) drawings.

The left side of the dialog displays the current color selections. The right side displays the modified color selections. To change a color, click on the color to be changed, then select a color from the drop down list under Change To.

The picture above shows the cream color changed to maroon.

When the palette is as desired, press the OK button. To close the dialog without changing the color selections, press the Cancel button.


Restore Palette

This command will restore the color palette to its original state. This command is not available for monochrome (black and white) drawings.


Title Block Dialog

This dialog is used to enter the information displayed in the title block of reports. There are three lines available and their definitions are set in setup. The entries in these lines are saved with the project.

There are two additional settings available on the dialog:

Only Show for New Projects - If this is checked, the title dialog will only show for projects where the title block information is blank. If it is not checked, the dialog will show each time a takeoff is printed. This options is also available on the setup dialog.

Use Previous Values - If this is checked, each time the dialog is displayed the entries will be reloaded from the project. If Use Previous Values is not checked, each time the dialog is displayed, the values will be blank.

After entering the values, press OK [image] to continue printing the report or press Cancel [image] to abort.


Margin Dialog

This dialog is used to set the margins on reports. The left and top margins can be set individually. The bottom and right margins share a setting. These values are common to all projects. Press OK [image] to accept the settings. Press Cancel [image] to return to the previous values.


Portrait/Landscape

Press this button to toggle the preview between portrait and landscape displays. The setting is displayed in the status bar at the bottom of the preview window.

This button is disabled if the printer is set to landscape orientation or the selected paper is C size or larger. See Printing - Paper Sizes and Orientation for more information.


Help

Pressing this button displays the help file topic on the Print Preview window.


Print Options

The print options dialog supports changing one setting at print preview:

Print Style Legend on 2nd Page - If checked, BidScreen XL will print the style legend on a separate page. If not checked, the style legend will appear on the first page.

This setting are also available in the setup dialog.

Press OK [image] to accept the setting. Press Cancel [image] to return to the previous value.


Select Fill Style

Fill styles are selected using the Select Fill Pattern Dialog.

Select a fill pattern by clicking on it. The selected fill pattern is displayed below the Cancel button.


Show Folder List

Clicking on this button will display a list of recently accessed folders. Select a folder from the list and click on it to access that folder.


Back One Folder

This button moves back one folder in the list of recently visited folders . When the beginning of the list is reached, the button is disabled.


Forward One Folder

This button moves forward one folder in the list of recently visited folders . When the end of the list is reached, the button is disabled.


Excel Ribbon Menu

The BidScreen XL Menu has the following commands, from top to bottom:

  • Manage Project/Drawings
  • Load Drawing
  • Browse Drawing (WEB)
  • Scale
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Print
  • Change Scale
  • Delete Takeoff
  • Open Reference
  • Browse Reference (WEB)
  • Create Template
  • Setup
  • Update Check
  • Register
  • Takeoff Help
  • About Bidscreen XL...


Create Template

This command will create a template from the current workbook. Templates are prototype workbooks for doing a takeoff and creating an estimate. Vertigraph distributes many templates with BidScreen XL. They are located in the folder C:\Users\Public\Documents\Vertigraph\BidScreen XL\examples. This command facilitates the creation of custom templates. The process is as follows.

A confirmation dialog describing the create template process is displayed. Press Yes to continue, No to abort the process.

If the current workbook has been modified, a dialog asking if you want to save the changes is displayed. Press Yes to save the changes. Press No to skip saving the changes.

A dialog prompting for a name for the template file is displayed. The default name is the name of the current workbook prefixed with Template_. The default folder is the folder containing the current workbook. Press the Cancel button to abort the process. Otherwise, select or enter a file name and folder and press the OK button to continue.

If the supplied name and folder are the same as the current workbook, you will be asked if you want to overwrite the current workbook. Press Yes to overwrite the current workbook. Press No, and the dialog prompting for a new name and/or folder will be displayed again.

All cells containing takeoffs are cleared. The cell comments are deleted and the cell value set to blank. All information about loaded drawings is cleared. The workbook is saved.

Note: This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Panning Option

When Continuous is selected, BidScreen XL will paint the drawing and takeoff as it is panned. When Delayed is selected, the drawing and takeoff will not be repainted until the mouse button is released at the end of the pan operation. With large drawings and complicated takeoffs, the repainting may become objectionable.

The default setting is Continuous.


Annotation and Highlight Changes

BidScreen XL now supports annotations at the drawing.

Drawing level annotations and highlights are associated with the drawing. They are created in the Project/Drawing Manager . They display in the takeoff window whenever the associated drawing is displayed. They can be disabled by unchecking View Drawing Comments under the View Menu .

Takeoff annotations and highlights are associated with a particular takeoff. They only display when the associated takeoff is displayed.

Entering takeoff annotations has changed slightly. The annotation dialog appears when the annotation button is pressed. The annotation is entered, then it is placed on the drawing.

Entering takeoff highlights has also changed slightly. When a highlight polygon is completed, highlighting is turned off automatically. It does not have to be turned off manually.

Note: While takeoff annotations are supported in Version 6, they should not be used. They will probably be discontinued in future versions.


Drawing Selection

The Project/Drawing Manager can be used to select a drawing for takeoff.

  • Press the Project/Drawing Manager button on the toolbar or ribbon .
  • Select the drawings tab .
  • Preview and select the desired drawing using the drawing list .
  • Click on the OK button.


View Drawing Comments

When this option is checked, annotations made in the drawing manager will be visible in the takeoff window. If it is unchecked, the annotations will not be visible. The default state is checked.


Delete Takeoffs

This command will delete all takeoffs in the selected cells. The cell comments are deleted and the cell values set to blank. This command is disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable this command.


Factor

This field shows the currently selected scale factor. When on a cell with a takeoff it will display the scale factor used for that takeoff. When on a blank cell, it will display the last scale factor used for that drawing. The scale for a blank cell can be changed by pressing the scale button on the toolbar, [image] or by selecting Scale from the BidScreen XL menu or popup menu .

When using dual scales , both scale factors will be displayed, separated by a -.


Report Captions

Report Title Captions

Changing these fields will change the report title block captions for the current project. They do not change the program wide default values defined in the Setup dialog .


Report Titles

Changing these fields will change the report titles for the current project. If they are defined here, Show Report Title Dialog can be unchecked.


Show Report Title Dialog

If this option is checked, the Report Title Dialog will be displayed.

If not, the dialog will be skipped.


Use Dual Scales

If this dialog is checked, Dual Scales will be enabled for the workbook. The use of dual scales can be controlled on a drawing basis at the Drawing Manager tab. If this option is not checked, then no drawings will use dual scales.


Drawing List

This displays a list of the opened drawings for the project. Selecting a drawing from the list will display it to the right of the list. Below the list are the properties of the drawing.

  • Path
  • Description
  • Hidden
  • Dual Scale
  • Scale


Drawing Path

This field displays the path of the drawing selected in the list above. It cannot be changed.


Drawing Description

This value controls the Drawing List items in the Excel Toolbar and Ribbon .

If a value is entered in this field it will be displayed. If no value is entered, the file name and page shown in the drawing list above will be used.

See also Hidden .


Hidden

This value controls the Drawing List items in the Excel Toolbar and Ribbon .

If this field is checked the drawing will not be included in the list. If it is not checked, the drawing will be in the list. Whether or not the drawing appears in the manager drawing list depends on the setting of Show Hidden under the View sub menu .

Drawings with takeoffs cannot be hidden.

See also Drawing Description , Show All and Hide All .


Show All

Pressing this button will set the Hidden value for all drawings to unchecked.


Hide All

Pressing this button will set the Hidden value for all drawings to checked.


Dual Scale

If this option is checked, the drawing will use separate horizontal and vertical scales . If it is not checked, only a single scale will be used.

This option is only enabled if Use Dual Scales is set at the Project Manager tab .


Scale

This field shows the scale for the selected drawing. When using dual scales, both scales will be displayed, separated by a -.


Load

Press this button to load a new drawing or drawings. It will display the Open Drawing Dialog.

This dialog can open a single drawing , multiple drawings of the same type , or multiple pages in one file .

New drawings are appended to the drawing list .


Rotate

Press this button to rotate or deskew the current drawing. It displays the drawing in the takeoff window. The rotate and deskew commands are located under the drawing menu .

Drawings with takeoffs cannot be rotated.

When using dual scales , it is critical that the drawing be deskewed.


Scale

Press this button to set the scale for the selected drawing. It displays the Scale Dialog .


Annotation Buttons

The annotation buttons are part of the toolbar at the top of the drawing display . They include, from left to right, the following commands:

  • Add Arrow
  • Add Comment
  • Highlight Polygon
  • Highlight Rectangle
  • Highlight Circle - 3 Points
  • Highlight Circle - Center & Radius


Drawing

The selected drawing is displayed here. The drawing can be zoomed and panned as follows:

  • Zoom In (make drawing larger) - Mouse wheel up or shift left click.
  • Zoom Out (make drawing smaller) - Mouse wheel down or shift right click.
  • Pan (Move drawing left/right/up/down) - Control mouse drag or scroll bars.
  • Restore to Full Size - Fit in WIndow button or menu command.

The drawing can also be annotated here using the Annotation buttons or commands on the drawing menu or popup menu .


Excel 2010 changes

Many commands are disabled if more than 2,147,483,647 cells are selected. In Excel 2010, the number of cells in a worksheet was expanded to 17,179,869,184. Consequently, selecting the entire worksheet in Excel 2010 will disable these commands.

Commands affected:

  • Scale
  • Count
  • Section Length
  • Continuous Length
  • Area
  • Print Takeoff
  • Change Scale
  • Delete Takeoff
  • Create Template


Open Single Drawing

The drawing is added to the drawing list and displayed.


Open Multiple Pages

All the pages of the drawing are added to the drawing list . The last page is displayed.


Open Multiple Drawings

All of the type selected are added to the drawing list . The last drawing is displayed.


File

The File sub menu has two items:

  • Exit (OK) - Closes the Project/Drawing Manager and saves all changes
  • Exit (Cancel) - Closes the Project/Drawing Manager and discards all changes


Drawing

The drawing menu has the following choices:

  • Load
  • Rotate
  • Scale
  • Add Arrow
  • Add Comment
  • Circle - Center & Radius (under Add Highlight)
  • Circle - 3 Point (under Add Highlight)
  • Polygon (under Add Highlight)
  • Rectangle (under Add Highlight)
  • Select Object
  • Fit in Window
  • Information


View

The View sub menu has only one item:

Show Hidden - When checked, hidden drawings will be shown in the drawing list . Hidden drawings are drawings that will NOT be shown in the drawing list of the BidScreen XL Toolbar or Ribbon UI . When this option is not checked, these hidden drawings will not be shown in the drawing list .

See also Show All , Hide All and Hidden .


Add Arrow

This command will add an arrow to the drawing.

First, the Arrow Properties dialog is displayed. Select the line style, width and color. Attach the arrow to a comment, if desired. Then press OK.

Draw the arrow by clicking the mouse on the corners. To finish, right click the mouse and select Stop Arrow/Close Highlight from the popup menu .

To select an arrow, the selection box must be placed on a point or corner of the arrow.


Add Comment

This command will add a comment or text box to the drawing.

First, the Comment Properties dialog is displayed.Type in the comment. The comment will be placed on the drawing as shown in the dialog, so add line breaks where desired. Select the font, line style, width and color, then press OK.

A box cursor, the size of the text box will appear. Locate the box where desired and click the mouse. To cancel, right click the mouse and select Cancel from the popup menu.

To select a comment, the selection box must be placed on the upper left corner of the text.


Circle - Center & Radius

This command will draw a highlight circle.

First, the highlight properties dialog is displayed. Select the line style, width and color, then press OK.

Next click on the center of the circle. Then click on the perimeter of the circle defining the radius. This will finish the creation of the circle.

To select a circle created this way, the selection box must be placed on either the center point or the point on the perimeter.


Circle - 3 Point

This command will draw a highlight circle.

First, the highlight properties dialog is displayed. Select the line style, width and color, then press OK.

Next, proceeding clockwise or counter-clockwise, click on three points on the perimeter of the circle.

To select a circle created this way, the selection box must be placed on one of the three points on the perimeter.


Polygon

This command will draw a highlight polygon.

First, the highlight properties dialog is displayed. Select the line style, width and color, then press OK.

Next, proceeding clockwise or counter-clockwise, click on the corners of the polygon. The program will automatically close the polygon, so it is not necessary to click back on the first point. To finish, press the Enter key, or choose End Arrow/Close Highlight from the popup menu.

To select a polygon, the selection box must be placed on one of the corners.


Rectangle

This command will draw a highlight rectangle.

First, the highlight properties dialog is displayed. Select the line style, width and color, then press OK.

Next, proceeding clockwise or counter-clockwise, click on three corners of the rectangle.

To select a rectangle, the selection box must be placed on one of the corners.


Fit in Window

This command will resize the drawing so that the entire drawing fits in the Drawing window .


Information

This command provides drawing information including the location, type and size of the currently selected drawing.


Select Object

This command allows selection on an annotation object for editing, deletion or moving. The cursor will change to a small box. Place the cursor over one of the object definition points and the object will change color, indicating it is selected. Right click the mouse and choose the desired action.


Cancel

When enabled, this command will cancel the current annotation operation.


Edit Object

This action is applicable to all annotation objects.

Arrows - The Arrow Properties dialog is displayed.

Comments - The Comments Properties dialog is displayed.

Highlights - The Highlights Properties dialog is displayed.

Make the desired changes and press OK to save the changes. Press Cancel to close the dialog without saving the changes.


Delete Object

This action is applicable to all annotation objects. When a comment is selected for deletion, all arrows attached to the comment will also be deleted.


Move Object

This action is only applicable to arrow and comment objects.

  • Arrow - The selected point on the arrow is moved. A rubber band will appear showing the new location. Click the mouse when the point is positioned as desired. Note that when the arrow is attached to a comment, the first point of the arrow cannot be moved. Use Edit to move the point to a different location on the comment box.
  • Comment - The entire comment will be moved. A box cursor, the size of the text box will appear. Locate the box where desired and click the mouse.

The move can be canceled by right clicking the mouse and selecting Cancel from the popup menu.


Drawing Popup Menu - Select Object

{bmc dwg mgr popup 2.shg}

When selecting an object, the popup menu has the following choices:

  • Cancel
  • Edit Object
  • Delete Object
  • Move Object
  • Fit in Window


Arrow Properties

Use the Line Style combo to select a style for the arrow.

Use the Line Width spin buttons to select a width for the arrow.

Use the Color combo to select a color. Double clicking on the color combo allows definition of custom colors.

Check the Attach Arrow to Comment box to start the arrow on a comment box.

When the box is checked, a list of the first line of all the comments appears. Use this list to select the desired comment. When the comment is selected, the color of the arrow is changed to match the comment.

Also a diagram of the start position appears. The arrow may be attached to any corner of the comment box, or the midpoint of any of the sides. Select the start position by clicking the mouse near the desired position. The spin buttons will move the start position around the comment box.

Press OK when the properties are set. Press Cancel to close the dialog and cancel adding the arrow.


Comment Properties

Enter the comment in the box to the left. The comment will be placed on the drawing as shown in the dialog, so add line breaks where desired.

Press the Font button to select a font.

Use the Line Style combo to select a style for the box surrounding the text.

Use the Line Width spin buttons to select a width for the box surrounding the text.

Use the Color combo to select a color. Double clicking on the color combo allows definition of custom colors. This color will be used for both the font and surrounding box.

Press OK when the properties are set. Press Cancel to close the dialog and cancel adding the comment.


Highlight Properties

Use the Line Style combo to select a style for the border of the highlight.

Use the Line Width spin buttons to select a width for the border of the highlight.

Use the Color combo to select a color. Double clicking on the color combo allows definition of custom colors. This color will be used for both the fill and border of the highlight.

The fill pattern for highlights is fixed.

Press OK when the properties are set. Press Cancel to close the dialog and cancel adding the highlight.


End Arrow/Close Highlight

This command is enabled when adding and arrow or highlight polygon to the drawing.

  • Arrow - Turns off arrow entry, ends the arrow at the last point defined.
  • Highlight - Turns off highlight entry, closes the polygon by adding a line from the last point entered to the first point entered.


Scale Units

This setting determines the units initially displayed on the scale dialog . The possible values for this setting are:

  • English Archetectural
  • English Engineering
  • Metric

These settings will be applied when a drawing is opened.


Rounding

Bidscreen XL can round length takeoffs using selected unit lengths. For measurements using English scales, the available unit lengths are 3", 4", 6", 8" and 1'. For metric measurements, the available lengths are 1cm, 10cm, 50cm and 1m.

If Round Up is checked, then all measurements are rounded up. For example using a unit length of 6", a measurement of 3' 2" would normally round to 3'. If Round Up is checked then it would round to 3' 6".

These settings will be applied when a drawing is opened.


Dual Scales

Checking the Use Dual Scales box allows the use of dual scale drawings. If dual scales are enabled, the radio buttons define the setting of dual scale when a drawing is first opened. For more information on using dual scales, click here .


CAD

There are three settings controlling the display of CAD drawings:

  • Color - if checked, the drawing is displayed in color. If not, the drawing is displayed in black and white.
  • Black on White - If checked, the drawing is displayed with a white background. If not checked, the drawing is displayed with a black background.
  • Thick Lines - If checked, the drawing is displayed with wide lines, if used by the designer. If not checked, all lines are displayed at single width.

These settings will be applied when a CAD drawing is opened.


Default

Pressing this button resets all values to the values defined in the Setup dialog .


Scale Units

This setting determines the units initially displayed on the scale dialog . The possible values for this setting are:

  • English Archetectural
  • English Engineering
  • Metric


Rounding

Bidscreen XL can round length takeoffs using selected unit lengths. For measurements using English scales, the available unit lengths are 3", 4", 6", 8" and 1'. For metric measurements, the available lengths are 1cm, 10cm, 50cm and 1m.

If Round Up is checked, then all measurements are rounded up. For example using a unit length of 6", a measurement of 3' 2" would normally round to 3'. If Round Up is checked then it would round to 3' 6".


CAD

There are five settings controlling the display of CAD drawings:

  • Color - if checked, the drawing is displayed in color. If not, the drawing is displayed in black and white.
  • Black on White - If checked, the drawing is displayed with a white background. If not checked, the drawing is displayed with a black background.
  • Thick Lines - If checked, the drawing is displayed with wide lines, if used by the designer. If not checked, all lines are displayed at single width.
  • Layouts - CAD drawings, except dwf files, can have multiple layouts. Use this command to select the desired layout for use during the takeoff.
  • Layers - Use this command to select which layers are visible during the takeoff.


Default Cell Comment Replaced

The default cell comment ("A1" cell) has been replaced with a hidden worksheet page. This change allows the program to store more information because it is not limited by the 32K character cell comment limit. It also eliminates the prossiblilty of accidentally deleting the default cell comment.

Due to this change, version 6 workbooks are not readable by previous versions of BidScreen XL.

Warning: Deleting or renaming the hidden page will render the workbook unusable. Care must be taken when merging workbooks.


Line Style/Width Independence

In previous versions of BidScreen XL, line patterns could only be used when the line width was 1. This restriction has beeen removed.